Subject: Source for small qty metal buys

From: [email-masked]
Date: 27 Jan 1996 19:15:05 GMT

I keep seeing people asking "where can I buy a small qty of xxxx metal". I don't think this
one is in the FAQ, but it should be!  Try Metal Buyers Mart  1-800-657-0721.  They 
specialize in small qty cut lots of nearly all metals  i.e. steels,aluminum,copper,bronze,
cast iron barstock,brass etc.Prices are reasonable (unlike most of the national suppliers)
and you should ask if they have any "drops" in the material you want.  You might have to buy 
a little bit more than you wanted, but drops are discounted 50%!  BTW, they do hav leaded 
steels in stock.

Now, lets not have more where do I buy  xxxxx!

John Lovallo